/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.TCoreMissingvalue;

import java.time.LocalDateTime;

import org.jooq.Record1;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class TCoreMissingvalueRecord extends UpdatableRecordImpl<TCoreMissingvalueRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.t_core_missingvalue.lastchange</code>.
     */
    public void setLastchange(LocalDateTime value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.t_core_missingvalue.lastchange</code>.
     */
    public LocalDateTime getLastchange() {
        return (LocalDateTime) get(0);
    }

    /**
     * Setter for <code>common_dd.t_core_missingvalue.pk</code>.
     */
    public void setPk(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.t_core_missingvalue.pk</code>.
     */
    public Integer getPk() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>common_dd.t_core_missingvalue.fk_missinglist</code>.
     */
    public void setFkMissinglist(Integer value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.t_core_missingvalue.fk_missinglist</code>.
     */
    public Integer getFkMissinglist() {
        return (Integer) get(2);
    }

    /**
     * Setter for <code>common_dd.t_core_missingvalue.fk_missingmaster</code>.
     */
    public void setFkMissingmaster(Integer value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.t_core_missingvalue.fk_missingmaster</code>.
     */
    public Integer getFkMissingmaster() {
        return (Integer) get(3);
    }

    /**
     * Setter for <code>common_dd.t_core_missingvalue.missingvalue_ecrf</code>.
     * is this a missing used in web application?
     */
    public void setMissingvalueEcrf(Boolean value) {
        set(4, value);
    }

    /**
     * Getter for <code>common_dd.t_core_missingvalue.missingvalue_ecrf</code>.
     * is this a missing used in web application?
     */
    public Boolean getMissingvalueEcrf() {
        return (Boolean) get(4);
    }

    /**
     * Setter for <code>common_dd.t_core_missingvalue.fk_missingclass</code>.
     * euCanSHare missing classification
     */
    public void setFkMissingclass(Integer value) {
        set(5, value);
    }

    /**
     * Getter for <code>common_dd.t_core_missingvalue.fk_missingclass</code>.
     * euCanSHare missing classification
     */
    public Integer getFkMissingclass() {
        return (Integer) get(5);
    }

    /**
     * Setter for <code>common_dd.t_core_missingvalue.fk_missingclass_qs</code>.
     * qig missing classification
     */
    public void setFkMissingclassQs(Integer value) {
        set(6, value);
    }

    /**
     * Getter for <code>common_dd.t_core_missingvalue.fk_missingclass_qs</code>.
     * qig missing classification
     */
    public Integer getFkMissingclassQs() {
        return (Integer) get(6);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    @Override
    public Record1<Integer> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached TCoreMissingvalueRecord
     */
    public TCoreMissingvalueRecord() {
        super(TCoreMissingvalue.T_CORE_MISSINGVALUE);
    }

    /**
     * Create a detached, initialised TCoreMissingvalueRecord
     */
    public TCoreMissingvalueRecord(LocalDateTime lastchange, Integer pk, Integer fkMissinglist, Integer fkMissingmaster, Boolean missingvalueEcrf, Integer fkMissingclass, Integer fkMissingclassQs) {
        super(TCoreMissingvalue.T_CORE_MISSINGVALUE);

        setLastchange(lastchange);
        setPk(pk);
        setFkMissinglist(fkMissinglist);
        setFkMissingmaster(fkMissingmaster);
        setMissingvalueEcrf(missingvalueEcrf);
        setFkMissingclass(fkMissingclass);
        setFkMissingclassQs(fkMissingclassQs);
        resetChangedOnNotNull();
    }
}
